$(function() {
  var controller = new CNTD;

  $('#installation-form').submit(function(e) {
    if (
      !controller.check_form_with_error_message(["#username", "#password", "#confirm-password"], ".error-message")
    ) {
      e.preventDefault();
      return;
    }

    display_loading();
  })

  $('#password').keyup(function(e) {
    control_confirm_password_display_status();
  })

  $('#confirm-password').keyup(function(e) {
    control_confirm_password_logic();
  })
})
